STRUCT TASK_CPUTIME(9)

NAME
struct_task_cputime - collected CPU time counts

SYNOPSIS

struct task_cputime {
  cputime_t utime;
  cputime_t stime;
  unsigned long long sum_exec_runtime;
};

MEMBERS

utime
    time spent in user mode, in cputime_t units

stime
    time spent in kernel mode, in cputime_t units

sum_exec_runtime
    total time spent on the CPU, in nanoseconds

DESCRIPTION

This is an extension of struct cputime that includes the total runtime spent by the task from the scheduler point of view.

As a result, this structure groups together three kinds of CPU time that are tracked for threads and thread groups. Most things considering CPU time want to group these counts together and treat all three of them in parallel.

COPYRIGHT